-- не настраивать
require( "scripts/game/deftasks.lua" );
require( "scripts/game/deftime.lua" );
GameObject = {
    Params = {
        ID="kreslo";
        width=1;
        height=1;
        GridData = { 
            1
        };
        RandomTasks=0;
    };
    ActivePoints = { 
        relax = { 
                   { {}, 1,0,0,  0,  1,0,0 };
                   }; 
    };
    Objects = {};
    -- перечисление всех задач для обьекта
    Tasks = {
        relax = { FuncName="RelaxTaskExecute",  timer=1, time_tick=100, not_need_action=1 };
    };
    -- перечисление всех триггеров для обьекта
    Triggers = { };
    --задачи которые начинают выполнятся после создания обьекта
    InitActiveTasks = {};
    --задачи которые обьект ожидает после создания обьекта
    InitExpectedTasks = {};
};

function GameObject:Get()
    return self;
end

function GetParams()
    aObj = GameObject:Get();   
    return aObj.Params;
end

function RelaxTaskExecute()
    --aObject = GameObject:Get();
    CPP_WantSelect(1);
    return 0;
end

